# mongoc_database_get_collection_names()

## Synopsis

    char **
    mongoc_database_get_collection_names (mongoc_database_t *database,
                                          bson_error_t *error);

## Deprecated

This function is deprecated and should not be used in new code.

Please use mongoc_database_get_collection_names_with_opts() instead.

## Description

Fetches a `NULL` terminated array of `NULL-byte` terminated `char*` strings containing the names of all of the collections in `database`.

This function is considered a retryable read operation. Upon a transient error (a network error, errors due to replica set failover, etc.) the operation is safely retried once. If `retryreads` is false in the URI (see mongoc_uri_t) the retry behavior does not apply.

## Parameters

- `database`: A mongoc_database_t.
- `error`: An optional location for a bson_error_t or `NULL`.

## Errors

Errors are propagated via the `error` parameter.

## Returns

A `NULL` terminated array of `NULL` terminated `char*` strings that should be freed with `bson_strfreev()`. Upon failure, `NULL` is returned and `error` is set.